goocanvasmm: Goocanvas::Image Class Reference

goocanvasmm 1.90.10

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Goocanvas::Image Class Reference
Inheritance diagram for Goocanvas::Image:
[legend]

## Public Member Functions
virtual | ~Image ()
GooCanvasImage* | gobj ()
| Provides access to the underlying C GObject. More...
const GooCanvasImage* | gobj () const
| Provides access to the underlying C GObject. More...
GooCanvasImage* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::PropertyProxy< Cairo::RefPtr< Cairo::Pattern > > | property_pattern ()
| The cairo pattern to paint. More...
Glib::PropertyProxy_ReadOnly< Cairo::RefPtr< Cairo::Pattern > > | property_pattern () const
| The cairo pattern to paint. More...
Glib::PropertyProxy< bool > | property_scale_to_fit ()
| If the image is scaled to fit the width and height settings. More...
Glib::PropertyProxy_ReadOnly< bool > | property_scale_to_fit () const
| If the image is scaled to fit the width and height settings. More...
Glib::PropertyProxy_WriteOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf ()
| The GdkPixbuf to display. More...
Public Member Functions inherited from Goocanvas::ItemSimple
virtual | ~ItemSimple ()
GooCanvasItemSimple* | gobj ()
| Provides access to the underlying C GObject. More...
const GooCanvasItemSimple* | gobj () const
| Provides access to the underlying C GObject. More...
GooCanvasItemSimple* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | set_model (const Glib::RefPtr< ItemModel >& model)
| This function should be called by subclasses of Goo::CanvasItemSimple in their set_model() method. More...
void | get_path_bounds (const Cairo::RefPtr< Cairo::Context >& context, Bounds& bounds) const
| This function is intended to be used by subclasses of Goo::CanvasItemSimple, typically in their update() or get_requested_area() methods. More...
void | user_bounds_to_device (const Cairo::RefPtr< Cairo::Context >& context, Bounds& bounds)
| This function is intended to be used by subclasses of Goo::CanvasItemSimple, typically in their update() or get_requested_area() methods. More...
void | user_bounds_to_parent (const Cairo::RefPtr< Cairo::Context >& context, Bounds& bounds)
| This function is intended to be used by subclasses of Goo::CanvasItemSimple, typically in their get_requested_area() method. More...
bool | check_in_path (double x, double y, const Cairo::RefPtr< Cairo::Context >& cr, PointerEvents pointer_events) const
| This function is intended to be used by subclasses of Goo::CanvasItemSimple. More...
void | paint_path (const Cairo::RefPtr< Cairo::Context >& cr)
| This function is intended to be used by subclasses of Goo::CanvasItemSimple. More...
void | changed (bool recompute_bounds)
| This function is intended to be used by subclasses of Goo::CanvasItemSimple. More...
void | check_style ()
| This function is intended to be used by subclasses of Goo::CanvasItemSimple, typically in their update() or get_requested_area() methods. More...
double | get_line_width () const
| Gets the item's line width. More...
Glib::PropertyProxy< Cairo::RefPtr< Cairo::Pattern > > | property_stroke_pattern ()
| The pattern to use to paint the perimeter of the item, or NULL disable painting. More...
Glib::PropertyProxy_ReadOnly< Cairo::RefPtr< Cairo::Pattern > > | property_stroke_pattern () const
| The pattern to use to paint the perimeter of the item, or NULL disable painting. More...
Glib::PropertyProxy< Cairo::RefPtr< Cairo::Pattern > > | property_fill_pattern ()
| The pattern to use to paint the interior of the item, or NULL to disable painting. More...
Glib::PropertyProxy_ReadOnly< Cairo::RefPtr< Cairo::Pattern > > | property_fill_pattern () const
| The pattern to use to paint the interior of the item, or NULL to disable painting. More...
Glib::PropertyProxy< Cairo::FillRule > | property_fill_rule ()
| The fill rule used to determine which parts of the item are filled. More...
Glib::PropertyProxy_ReadOnly< Cairo::FillRule > | property_fill_rule () const
| The fill rule used to determine which parts of the item are filled. More...
Glib::PropertyProxy< Cairo::Operator > | property_operator ()
| The compositing operator to use. More...
Glib::PropertyProxy_ReadOnly< Cairo::Operator > | property_operator () const
| The compositing operator to use. More...
Glib::PropertyProxy< Cairo::Antialias > | property_antialias ()
| The antialiasing mode to use. More...
Glib::PropertyProxy_ReadOnly< Cairo::Antialias > | property_antialias () const
| The antialiasing mode to use. More...
Glib::PropertyProxy< Glib::ustring > | property_font ()
| The base font to use for the text. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_font () const
| The base font to use for the text. More...
Glib::PropertyProxy< Pango::FontDescription > | property_font_desc ()
| The attributes specifying which font to use. More...
Glib::PropertyProxy_ReadOnly< Pango::FontDescription > | property_font_desc () const
| The attributes specifying which font to use. More...
Glib::PropertyProxy< Cairo::HintMetrics > | property_hint_metrics ()
| The hinting to be used for font metrics. More...
Glib::PropertyProxy_ReadOnly< Cairo::HintMetrics > | property_hint_metrics () const
| The hinting to be used for font metrics. More...
Glib::PropertyProxy< double > | property_line_width ()
| The line width to use for the item's perimeter. More...
Glib::PropertyProxy_ReadOnly< double > | property_line_width () const
| The line width to use for the item's perimeter. More...
Glib::PropertyProxy< Cairo::LineCap > | property_line_cap ()
| The line cap style to use. More...
Glib::PropertyProxy_ReadOnly< Cairo::LineCap > | property_line_cap () const
| The line cap style to use. More...
Glib::PropertyProxy< Cairo::LineJoin > | property_line_join ()
| The line join style to use. More...
Glib::PropertyProxy_ReadOnly< Cairo::LineJoin > | property_line_join () const
| The line join style to use. More...
Glib::PropertyProxy< double > | property_line_join_miter_limit ()
| The smallest angle to use with miter joins, in degrees. More...
Glib::PropertyProxy_ReadOnly< double > | property_line_join_miter_limit () const
| The smallest angle to use with miter joins, in degrees. More...
Glib::PropertyProxy< LineDash > | property_line_dash ()
| The dash pattern to use. More...
Glib::PropertyProxy_ReadOnly< LineDash > | property_line_dash () const
| The dash pattern to use. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_stroke_color ()
| The color to use for the item's perimeter. More...
Glib::PropertyProxy< guint > | property_stroke_color_rgba ()
| The color to use for the item's perimeter, specified as a 32-bit integer value. More...
Glib::PropertyProxy_ReadOnly< guint > | property_stroke_color_rgba () const
| The color to use for the item's perimeter, specified as a 32-bit integer value. More...
Glib::PropertyProxy< Gdk::RGBA > | property_stroke_color_gdk_rgba ()
| The color to use for the item's perimeter, specified as a GdkRGBA. More...
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_stroke_color_gdk_rgba () const
| The color to use for the item's perimeter, specified as a GdkRGBA. More...
Glib::PropertyProxy_WriteOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_stroke_pixbuf ()
| The pixbuf to use to draw the item's perimeter. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_fill_color ()
| The color to use to paint the interior of the item. More...
Glib::PropertyProxy< guint > | property_fill_color_rgba ()
| The color to use to paint the interior of the item, specified as a 32-bit integer value. More...
Glib::PropertyProxy_ReadOnly< guint > | property_fill_color_rgba () const
| The color to use to paint the interior of the item, specified as a 32-bit integer value. More...
Glib::PropertyProxy_WriteOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_fill_pixbuf ()
| The pixbuf to use to paint the interior of the item. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_clip_path ()
| The sequence of path commands specifying the clip path. More...
Glib::PropertyProxy< Cairo::FillRule > | property_clip_fill_rule ()
| The fill rule used to determine which parts of the item are clipped. More...
Glib::PropertyProxy_ReadOnly< Cairo::FillRule > | property_clip_fill_rule () const
| The fill rule used to determine which parts of the item are clipped. More...
void | set_bounds (const Bounds& value)
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable ()
| trackable (const trackable &src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Goocanvas::Item
virtual | ~Item ()
GooCanvasItem* | gobj ()
| Provides access to the underlying C GObject. More...
const GooCanvasItem* | gobj () const
| Provides access to the underlying C GObject. More...
Canvas* | get_canvas ()
| Returns: the Goo::Canvas. More...
const Canvas* | get_canvas () const
| Returns: the Goo::Canvas. More...
void | set_canvas (Canvas* canvas)
| This function is only intended to be used when implementing new canvas items, specifically container items such as Goo::CanvasGroup. More...
bool | is_visible () const
| Checks if the item is visible. More...
Glib::RefPtr< ItemModel > | get_model ()
| Gets the model of the given canvas item. More...
Glib::RefPtr< const ItemModel > | get_model () const
| Gets the model of the given canvas item. More...
void | set_model (const Glib::RefPtr< ItemModel >& model)
| Sets the model of the given canvas item. More...
Glib::RefPtr< Item > | get_parent ()
| Gets the parent of the given item. More...
Glib::RefPtr< const Item > | get_parent () const
| Gets the parent of the given item. More...
void | set_parent (const Glib::RefPtr< Item >& parent)
| This function is only intended to be used when implementing new canvas items (specifically container items such as Goo::CanvasGroup). More...
void | remove ()
| Removes an item from its parent. More...
bool | is_container () const
| Tests to see if the given item is a container. More...
int | get_n_children () const
| Gets the number of children of the container. More...
Glib::RefPtr< Item > | get_child (int child_num)
| Gets the child item at the given stack position. More...
Glib::RefPtr< const Item > | get_child (int child_num) const
| Gets the child item at the given stack position. More...
int | find_child (const Glib::RefPtr< Item >& child)
| Attempts to find the given child item with the container's stack. More...
void | add_child (const Glib::RefPtr< Item >& child, int pos)
| Adds a child item to a container item at the given stack position. More...
void | add_child (const Glib::RefPtr< Item >& child)
void | get_child_property_value (const Glib::RefPtr< Item >& child, const Glib::ustring& property_name, Glib::ValueBase& value) const
| Gets a child property of child. More...
void | set_child_property_value (const Glib::RefPtr< Item >& child, const Glib::ustring& property_name, const Glib::ValueBase& value)
| Sets a child property of child. More...
template<class PropertyType >
void | get_child_property (const Glib::RefPtr< Item >& child, const Glib::ustring& the_property_name, PropertyType& value) const
template<class PropertyType >
void | set_child_property (const Glib::RefPtr< Item >& child, const Glib::ustring& the_property_name, const PropertyType& value)
void | move_child (int old_position, int new_position)
| Moves a child item to a new stack position within the container. More...
void | remove_child (int child_num)
| Removes the child item at the given position. More...
void | raise (const Glib::RefPtr< Item >& above)
| Raises an item in the stacking order. More...
void | raise ()
| Raise the item to the top of the stack. More...
void | lower (const Glib::RefPtr< Item >& below)
| Lowers an item in the stacking order. More...
void | lower ()
| Lower the item to the bottom of the stack. More...
Bounds | get_bounds () const
void | request_update ()
| This function is only intended to be used when implementing new canvas items. More...
void | ensure_updated ()
| This function is only intended to be used when implementing new canvas items. More...
void | update (bool entire_tree, const Cairo::RefPtr< Cairo::Context >& context, Bounds& bounds)
| This function is only intended to be used when implementing new canvas items, specifically container items such as Goo::CanvasGroup. More...
void | paint (const Cairo::RefPtr< Cairo::Context >& context, const Bounds& bounds, double scale)
| This function is only intended to be used when implementing new canvas items, specifically container items such as Goo::CanvasGroup. More...
bool | get_requested_area (const Cairo::RefPtr< Cairo::Context >& context, Bounds& bounds) const
| This function is only intended to be used when implementing new canvas items, specifically layout items such as Goo::CanvasTable. More...
double | get_requested_height (const Cairo::RefPtr< Cairo::Context >& context, double width) const
| This function is only intended to be used when implementing new canvas items, specifically layout items such as Goo::CanvasTable. More...
void | allocate_area (const Cairo::RefPtr< Cairo::Context >& context, const Bounds& requested_area, const Bounds& allocated_area, double x_offset, double y_offset)
| This function is only intended to be used when implementing new canvas items, specifically layout items such as Goo::CanvasTable. More...
std::vector< Glib::RefPtr< Item > > | get_items_at (double x, double y, const Cairo::RefPtr< Cairo::Context >& context, bool is_pointer_event, bool parent_is_visible, const std::vector< Glib::RefPtr< Item > >& found_items)
| This function is only intended to be used when implementing new canvas items, specifically container items such as Goo::CanvasGroup. More...
std::vector< Glib::RefPtr< const Item > > | get_items_at (double x, double y, const Cairo::RefPtr< Cairo::Context >& context, bool is_pointer_event, bool parent_is_visible, const std::vector< Glib::RefPtr< const Item > >& found_items) const
| This function is only intended to be used when implementing new canvas items, specifically container items such as Goo::CanvasGroup. More...
std::vector< Glib::RefPtr< Item > > | get_items_at (double x, double y, const Cairo::RefPtr< Cairo::Context >& context, bool is_pointer_event, bool parent_is_visible)
std::vector< Glib::RefPtr< const Item > > | get_items_at (double x, double y, const Cairo::RefPtr< Cairo::Context >& context, bool is_pointer_event, bool parent_is_visible) const
bool | get_transform (Cairo::Matrix* matrix)
| Gets the transformation matrix of an item. More...
void | set_transform (const Cairo::Matrix* matrix)
| Sets the transformation matrix of an item. More...
void | set_simple_transform (double x, double y, double scale, double rotation)
| A convenience function to set the item's transformation matrix. More...
bool | get_simple_transform (double& x, double& y, double&scale, double& rotation) const
| This function can be used to get the position, scale and rotation of an item, providing that the item has a simple transformation matrix (e.g. set with set_simple_transform(), or using a combination of simple translate, scale and rotate operations). More...
void | translate (double tx, double ty)
| Translates the origin of the item's coordinate system by the given amounts. More...
void | scale (double sx, double sy)
| Scales the item's coordinate system by the given amounts. More...
void | rotate (double degrees, double cx, double cy)
| Rotates the item's coordinate system by the given amount, about the given origin. More...
void | skew_x (double degrees, double cx, double cy)
| Skews the item's coordinate system along the x axis by the given amount, about the given origin. More...
void | skew_y (double degrees, double cx, double cy)
| Skews the item's coordinate system along the y axis by the given amount, about the given origin. More...
bool | get_transform_for_child (const Glib::RefPtr< Item >& child, Cairo::Matrix*transform)
| Gets the transformation matrix of an item combined with any special transform needed for the given child. More...
Glib::RefPtr< Style > | get_style ()
| Gets the item's style. More...
Glib::RefPtr< const Style > | get_style () const
| Gets the item's style. More...
void | set_style (const Glib::RefPtr< Style >& style)
| Sets the item's style, by copying the properties from the given style. More...
void | animate (double x, double y, double scale, double degrees, bool absolute, int duration, int step_time, GooCanvasAnimateType type)
| Animates an item from its current position to the given offsets, scale and rotation. More...
void | stop_animation ()
| Stops any current animation for the given item, leaving it at its current position. More...
bool | get_is_static () const
void | set_is_static (bool is_static=true)
Glib::SignalProxy2< bool, const Glib::RefPtr< Item >&, GdkEventCrossing* > | signal_enter_notify_event ()
Glib::SignalProxy2< bool, const Glib::RefPtr< Item >&, GdkEventCrossing* > | signal_leave_notify_event ()
Glib::SignalProxy2< bool, const Glib::RefPtr< Item >&, GdkEventMotion* > | signal_motion_notify_event ()
Glib::SignalProxy2< bool, const Glib::RefPtr< Item >&, GdkEventButton* > | signal_button_press_event ()
Glib::SignalProxy2< bool, const Glib::RefPtr< Item >&, GdkEventButton* > | signal_button_release_event ()
Glib::SignalProxy2< bool, const Glib::RefPtr< Item >&, GdkEventFocus* > | signal_focus_in_event ()
Glib::SignalProxy2< bool, const Glib::RefPtr< Item >&, GdkEventFocus* > | signal_focus_out_event ()
Glib::SignalProxy2< bool, const Glib::RefPtr< Item >&, GdkEventKey* > | signal_key_press_event ()
Glib::SignalProxy2< bool, const Glib::RefPtr< Item >&, GdkEventKey* > | signal_key_release_event ()
Glib::SignalProxy2< bool, const Glib::RefPtr< Item >&, GdkEventGrabBroken* > | signal_grab_broken_event ()
Glib::SignalProxy1< void, GParamSpec* > | signal_child_notify ()
Glib::SignalProxy1< void, bool > | signal_animation_finished ()
Glib::SignalProxy2< bool, const Glib::RefPtr< Item >&, GdkEventScroll* > | signal_scroll_event ()
Glib::PropertyProxy< Glib::RefPtr< Item > > | property_parent ()
| The parent item. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Item > > | property_parent () const
| The parent item. More...
Glib::PropertyProxy< ItemVisibility > | property_visibility ()
| When the canvas item is visible. More...
Glib::PropertyProxy_ReadOnly< ItemVisibility > | property_visibility () const
| When the canvas item is visible. More...
Glib::PropertyProxy< double > | property_visibility_threshold ()
| The scale threshold at which the item becomes visible. More...
Glib::PropertyProxy_ReadOnly< double > | property_visibility_threshold () const
| The scale threshold at which the item becomes visible. More...
Glib::PropertyProxy< Cairo::Matrix* > | property_transform ()
| The transformation matrix of the item. More...
Glib::PropertyProxy_ReadOnly< Cairo::Matrix* > | property_transform () const
| The transformation matrix of the item. More...
Glib::PropertyProxy< PointerEvents > | property_pointer_events ()
| Specifies when the item receives pointer events. More...
Glib::PropertyProxy_ReadOnly< PointerEvents > | property_pointer_events () const
| Specifies when the item receives pointer events. More...
Glib::PropertyProxy< Glib::ustring > | property_title ()
| A short context-rich description of the item for use by assistive technologies. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_title () const
| A short context-rich description of the item for use by assistive technologies. More...
Glib::PropertyProxy< Glib::ustring > | property_description ()
| A description of the item for use by assistive technologies. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_description () const
| A description of the item for use by assistive technologies. More...
Glib::PropertyProxy< bool > | property_can_focus ()
| If the item can take the keyboard focus. More...
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
| If the item can take the keyboard focus. More...
Glib::PropertyProxy< double > | property_x ()
| The x coordinate of the left side of the item. More...
Glib::PropertyProxy_ReadOnly< double > | property_x () const
| The x coordinate of the left side of the item. More...
Glib::PropertyProxy< double > | property_y ()
| The y coordinate of the top of the item. More...
Glib::PropertyProxy_ReadOnly< double > | property_y () const
| The y coordinate of the top of the item. More...
Glib::PropertyProxy< double > | property_width ()
| The width of the item. More...
Glib::PropertyProxy_ReadOnly< double > | property_width () const
| The width of the item. More...
Glib::PropertyProxy< double > | property_height ()
| The height of the item. More...
Glib::PropertyProxy_ReadOnly< double > | property_height () const
| The height of the item. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
virtual | ~Interface ()
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Image > | create (double x=0.0, double y=0.0)
static Glib::RefPtr< Image > | create (const Glib::RefPtr< Gdk::Pixbuf >& pixbuf, double x=0.0, double y=0.0)
Static Public Member Functions inherited from Goocanvas::ItemSimple
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Goocanvas::Item
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| Image (double x=0.0, double y=0.0)
| Image (const Glib::RefPtr< Gdk::Pixbuf >& pixbuf, double x=0.0, double y=0.0)
| Image ()
Protected Member Functions inherited from Goocanvas::ItemSimple
| ItemSimple ()
virtual void | simple_create_path_vfunc (const Cairo::RefPtr< Cairo::Context >& cr)
virtual void | simple_update_vfunc (const Cairo::RefPtr< Cairo::Context >& cr)
virtual void | simple_paint_vfunc (const Cairo::RefPtr< Cairo::Context >& cr, const Bounds& bounds)
virtual bool | simple_is_item_at_vfunc (double x, double y, const Cairo::RefPtr< Cairo::Context >& cr, bool is_pointer_event)
bool | get_need_update () const
void | set_need_update (const bool& value)
bool | get_need_entire_subtree_update () const
void | set_need_entire_subtree_update (const bool& value)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object ()
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject *castitem)
Protected Member Functions inherited from Goocanvas::Item
| Item ()
| You should derive from this class to use it. More...
virtual int | get_n_children_vfunc () const
virtual Glib::RefPtr< Item > | get_child_vfunc (int child_num) const
virtual void | request_update_vfunc ()
virtual Canvas* | get_canvas_vfunc () const
virtual void | set_canvas_vfunc (Canvas* canvas)
virtual void | add_child_vfunc (const Glib::RefPtr< Item >& child, int position)
virtual void | move_child_vfunc (int old_position, int new_position)
virtual void | remove_child_vfunc (int child_num)
virtual void | get_child_property_vfunc (const Glib::RefPtr< Item >& child, guint property_id, Glib::ValueBase& value, GParamSpec* pspec) const
virtual void | set_child_property_vfunc (const Glib::RefPtr< Item >& child, guint property_id, const Glib::ValueBase& value, GParamSpec* pspec)
virtual bool | get_transform_for_child_vfunc (const Glib::RefPtr< Item >& child, Cairo::Matrix*transform) const
virtual Glib::RefPtr< Item > | get_parent_vfunc () const
virtual void | set_parent_vfunc (const Glib::RefPtr< Item >& parent)
virtual void | get_bounds_vfunc (Bounds& bounds) const
virtual std::vector< Glib::RefPtr< Item > > | get_items_at_vfunc (double x, double y, const Cairo::RefPtr< Cairo::Context >& context, bool is_pointer_event, bool is_parent_visible, const std::vector< Glib::RefPtr< Item > >& found_items)
virtual void | update_vfunc (bool entire_tree, const Cairo::RefPtr< Cairo::Context >& cr, Bounds& bounds)
virtual void | paint_vfunc (const Cairo::RefPtr< Cairo::Context >& cr, const Bounds& bounds, double scale)
virtual bool | get_requested_area_vfunc (const Cairo::RefPtr< Cairo::Context >& cr, GooCanvasBounds* requested_area) const
virtual void | allocate_area_vfunc (const Cairo::RefPtr< Cairo::Context >& cr, const Bounds& requested_area, const Bounds& allocated_area, double x_offset, double y_offset)
virtual bool | get_transform_vfunc (Cairo::Matrix*transform) const
virtual void | set_transform_vfunc (const Cairo::Matrix*transform)
virtual Glib::RefPtr< Style > | get_style_vfunc () const
virtual void | set_style_vfunc (const Glib::RefPtr< Style >& style)
virtual bool | is_visible_vfunc () const
virtual double | get_requested_height_vfunc (const Cairo::RefPtr< Cairo::Context >& cr, double width)
virtual bool | get_is_static_vfunc () const
virtual void | set_is_static_vfunc (bool is_static)
virtual Glib::RefPtr< ItemModel > | get_model_vfunc () const
virtual void | set_model_vfunc (const Glib::RefPtr< ItemModel >& model)
virtual bool | on_enter_notify_event (const Glib::RefPtr< Item >& target, GdkEventCrossing* event)
| This is a default handler for the signal signal_enter_notify_event(). More...
virtual bool | on_leave_notify_event (const Glib::RefPtr< Item >& target, GdkEventCrossing* event)
| This is a default handler for the signal signal_leave_notify_event(). More...
virtual bool | on_motion_notify_event (const Glib::RefPtr< Item >& target, GdkEventMotion* event)
| This is a default handler for the signal signal_motion_notify_event(). More...
virtual bool | on_button_press_event (const Glib::RefPtr< Item >& target, GdkEventButton* event)
| This is a default handler for the signal signal_button_press_event(). More...
virtual bool | on_button_release_event (const Glib::RefPtr< Item >& target, GdkEventButton* event)
| This is a default handler for the signal signal_button_release_event(). More...
virtual bool | on_focus_in_event (const Glib::RefPtr< Item >& target, GdkEventFocus* event)
| This is a default handler for the signal signal_focus_in_event(). More...
virtual bool | on_focus_out_event (const Glib::RefPtr< Item >& target, GdkEventFocus* event)
| This is a default handler for the signal signal_focus_out_event(). More...
virtual bool | on_key_press_event (const Glib::RefPtr< Item >& target, GdkEventKey* event)
| This is a default handler for the signal signal_key_press_event(). More...
virtual bool | on_key_release_event (const Glib::RefPtr< Item >& target, GdkEventKey* event)
| This is a default handler for the signal signal_key_release_event(). More...
virtual bool | on_grab_broken_event (const Glib::RefPtr< Item >& target, GdkEventGrabBroken* event)
| This is a default handler for the signal signal_grab_broken_event(). More...
virtual void | on_child_notify (GParamSpec* pspec)
| This is a default handler for the signal signal_child_notify(). More...
virtual void | on_animation_finished (bool stopped)
| This is a default handler for the signal signal_animation_finished(). More...
virtual bool | on_scroll_event (const Glib::RefPtr< Item >& target, GdkEventScroll* event)
| This is a default handler for the signal signal_scroll_event(). More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Goocanvas::Image > | wrap (GooCanvasImage* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Goocanvas::ItemSimple
Glib::RefPtr< Goocanvas::ItemSimple > | wrap (GooCanvasItemSimple* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Goocanvas::Item
Glib::RefPtr< Goocanvas::Item > | wrap (GooCanvasItem* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Constructor & Destructor Documentation

virtual Goocanvas::Image::~Image | ( |  | ) |
| virtual

Goocanvas::Image::Image | ( | double | x = `0.0`,
|  | double | y = `0.0`
| ) |  |
| explicitprotected

Goocanvas::Image::Image | ( | const Glib::RefPtr< Gdk::Pixbuf > & | pixbuf,
|  | double | x = `0.0`,
|  | double | y = `0.0`
| ) |  |
| explicitprotected

Goocanvas::Image::Image | ( |  | ) |
| protected

## Member Function Documentation

static Glib::RefPtr<Image> Goocanvas::Image::create | ( | double | x = `0.0`,
|  | double | y = `0.0`
| ) |  |
| static

static Glib::RefPtr<Image> Goocanvas::Image::create | ( | const Glib::RefPtr< Gdk::Pixbuf > & | pixbuf,
|  | double | x = `0.0`,
|  | double | y = `0.0`
| ) |  |
| static

static GType Goocanvas::Image::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GooCanvasImage* Goocanvas::Image::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GooCanvasImage* Goocanvas::Image::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GooCanvasImage* Goocanvas::Image::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::Image::property_pattern | ( |  | ) |

The cairo pattern to paint.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::Image::property_pattern | ( |  | ) | const

The cairo pattern to paint.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::RefPtr<Gdk::Pixbuf> > Goocanvas::Image::property_pixbuf | ( |  | ) |

The GdkPixbuf to display.

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Goocanvas::Image::property_scale_to_fit | ( |  | ) |

If the image is scaled to fit the width and height settings.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Goocanvas::Image::property_scale_to_fit | ( |  | ) | const

If the image is scaled to fit the width and height settings.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::Image > wrap | ( | GooCanvasImage * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/image.h